function Timer(ncount, Param1)
	if not StopSheet then
		AlfingSheet();
		StopSheet=false;
	return;end;
return;end;

function SheetSwitched (ncount)
	StopSheet=true;
return;end;

function AlarmSound()
	playeffect("alarm");
end;

function SelectRandom()
    idObject=GetRandomObject();
	if idObject==91 and (not flags.minicomplete) then
		if GetActivCount()>1 then
			flags.HintCount=flags.HintCount+1;
			SelectRandom()		
		return;end;			
	selectrandomobject(1.5,89);
	return;end
	selectrandomobject(1.5,idObject);
end;

function SelectRandomRadar(idObject)

	if idObject==91 and (not flags.minicomplete) then		
	selectrandomobject(1.5,89);
	return;end
	selectrandomobject(1.5,idObject);
end;

function MessageFromMenu(nCount,Param1)
if Param1==2000029 then
	ScrollLeft();
return;end;
if Param1==2000030 then
	ScrollRight();
return;end;
showoptons(0);
return;end;

function gameinput (sender,obj_id,attachedID)
	if sender == 2 then
		MessageProc(sender,obj_id);
	return;end;
	if sender==12 or sender==26 then
	if flags.levelcomplete then
		if not flags.whole_darkness then
			DarkScreen(true);
			ShowMenu(false);
		return;end;
	return;end;
	return;end;

	if sender==16 then
		if obj_id==503 or obj_id==500 then
		   BlockCursor(false);
		return;end;
		if obj_id==501 then
		   if flags.levelcomplete then		        
				speciale_action(2,500,true,2);
				speciale_action(4,500);
				BlockCursor(true);
			return;end;
			BlockCursor(false);
		return;end;
		if obj_id==1 then
			CreateWindow(100,100,"198");
			BlockCursor(false);
		return;end;							
	return;end;
	
	if sender==15 then
		if obj_id==501 then
		    flags.whole_darkness=false;
			BlockCursor(false);
		return;end;		
		if obj_id==503 then
			ShowMenu(true);
			BlockCursor(false);
			AddParticleToObject(89,"Mirror",0,0);
			StartEmiter("Mirror");
			MoveEmiter("Mirror",195,405);	
			savegame(SaveLevel())
		return;end;
	return;end;			
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender == 1 then --кликнули левой кнопкой мыши на активный объект
		
		if attachedID==-1 then	


		if obj_id==501 then
			if flags.levelcomplete then
				delete_tree_leaf("Root","grimerka");
				delete_tree_leaf("Root","mini");
				setnextlavel(13);
				loadlavel();
				ShowMenu(false);
			return;end;	
			DarkScreen(false);
			speciale_action(2,503,true);
		return;end;				
			
			if obj_id==89 then -- урна
			if not flags.minicomplete then
				DarkScreen(true);
				playeffect("mini");
				add_free_leaf("Root","mini",12,11);-- Добавляет чистый лист
				dofile("./data/12/11/res.lua");
				set_satelite_leaf("grimerka");
				dofile("data\\12\\11\\level.lua");
				mini_create();
				for i=1000,1050,1 do
					speciale_action(2,i,true);
				end;
			return; end;	
			return; end;
		
			if obj_id==91 then 
				collaps_obj(obj_id,0,0,10,1);
				playeffect("collaps");
				setcolor(obj_id,0,0,0,0.5,1);
				CreateWindow(100,100,"201");
			return; end;				
			
			if obj_id > 0 and obj_id < 102 then --кликаем на активный объект
				playeffect("collaps");
		        collaps_obj(obj_id,0,0,10,1);
	        return 0; end
	return; end;		
	return; end;
	if sender==14 then
	StopSheet=true;
		if obj_id>0 then
			addObjectToMouse(obj_id);
		return; end;
	return; end;	
	
-----------------------------------------------На сцене отработали все объекты-------------------------
	if sender==4 then	
	    flags.all=true;
		if flags.minicomplete then
			flags.levelcomplete=true;			
		return; end;
	return; end;		
end
